/** @file
 * $Source: /afs/ba.infn.it/user/pamela/src/CVS/chewbacca/event/AlgorithmInfo.cpp,v $
 * $Id: AlgorithmInfo.cpp,v 1.1.1.1 2008/09/23 07:19:50 mocchiut Exp $
 * $Author: mocchiut $
 * 
 * Implementation of the default functions of the Algorithm class.
 */
extern "C" {
#include <string.h>
}

#include "Algorithm.h"
#include "AlgorithmInfo.h"

using namespace pamela;

AlgorithmInfo::AlgorithmInfo(void) {
}

AlgorithmInfo::AlgorithmInfo(const Algorithm* algo) :
  //  AlgorithmName(algo->GetAlgorithmName().c_str()),
  AlgorithmName(algo->GetAlgorithmName()),
  AlgorithmClass(algo->GetName()),
  VersionInfo(algo->GetVersionInfo().c_str()) {
}
  
AlgorithmInfo::~AlgorithmInfo() {
}


ClassImp(AlgorithmInfo)
